Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query.model
Class Ordering

    java.lang.Object
      org.modeshape.graph.query.model.Ordering

All Implemented Interfaces:
  Serializable, LanguageObject, Visitable

Direct Known Subclasses:
  JcrOrdering

    @Immutable
    public class Ordering

extends Object
implements LanguageObject

A specification of the ordering for the results.

See Also:
  Serialized Form

Constructor Summary
`Ordering(DynamicOperand operand, Order order)` Create a new ordering specification, given the supplied operand and order.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`DynamicOperand` | `operand()` Get the operand being ordered.
`Order` | `order()` The order type.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Ordering

    public Ordering(DynamicOperand operand,
                    Order order)

  Create a new ordering specification, given the supplied operand and order.

  Parameters:
    `operand` - the operand being ordered
    `order` - the order type
  Throws:
    `IllegalArgumentException` - if the operand or order type is null

Method Detail

### operand

    public DynamicOperand operand()

  Get the operand being ordered.

  Returns:
    the operand; never null

### order

    public Order order()

  The order type.

  Returns:
    the type; never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### accept

    public void accept(Visitor visitor)

  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null
  See Also:
    `Visitable.accept(org.modeshape.graph.query.model.Visitor)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.